# include/gutenprint/paper.h File Reference

`#include <gutenprint/vars.h>`

## Data Structures

struct | stp_papersize_t
| The papersize data type. More...

## Enumerations

enum | stp_papersize_unit_t { PAPERSIZE_ENGLISH_STANDARD, PAPERSIZE_METRIC_STANDARD, PAPERSIZE_ENGLISH_EXTENDED, PAPERSIZE_METRIC_EXTENDED }
| Units of measurement. More...

## Functions

int | stp_known_papersizes (void)
| Get the number of available papersizes.
const stp_papersize_t * | stp_get_papersize_by_name (const char *name)
| Get a papersize by name.
const stp_papersize_t * | stp_get_papersize_by_size (int length, int width)
| Get a papersize by size.
const stp_papersize_t * | stp_get_papersize_by_index (int idx)
| Get a papersize by its index number.
void | stp_default_media_size (const stp_vars_t *v, int *width, int *height)

## Detailed Description

Paper size functions.